Subject: bug#4970: 23.1; Emacs Gtk running nuts

From: "Dr. Werner Fink" <[email-masked]>
Date: Mon, 23 Nov 2009 14:44:06 +0100

Hi,

I'd like to ask if there is a solution for this problem.
I've read the thread carefully but at last I've not seen
any real solution. is it allowed to remove the check

  if (last_terminal)
      error ("Attempt to delete the sole terminal device with live frames");

in delete_tty() of src/term.c or will emacs then loop
with

  if (NILP (force) && !other_visible_frames (f))
    error ("Attempt to delete the sole visible or iconified frame");

in delete_frame() of src/frame.c ... ?

      Werner

-- 
  "Having a smoking section in a restaurant is like having
          a peeing section in a swimming pool." -- Edward Burr